CREATE TABLE ap_statement_lines (
    STATMENT_LINE_ID              NUMBER(18, 0),
    STATEMENT_HEADER_ID           NUMBER(18, 0)    NOT NULL,
    PROCESS_STATUS_CODE           VARCHAR2(120)    NOT NULL,
    APPLICATION_ID                NUMBER(18, 0),
    LOAD_REQUEST_ID               NUMBER(18, 0),
    PAYMENT_REFERENCE_NUMBER      VARCHAR2(960),
    ORIGINAL_CURRENCY_CODE        VARCHAR2(120),
    ORIGINAL_CURRENCY_AMOUNT      NUMBER       ,
    TRANSACTION_DATE              DATE         ,
    POSTED_DATE                   DATE         ,
    POSTED_CURRENCY_CODE          VARCHAR2(120),
    POSTED_AMOUNT                 NUMBER       ,
    POSTED_EXCHANGE_RATE          NUMBER(18, 0),
    POSTED_EXCHANGE_TYPE          VARCHAR2(120),
    POSTED_EXCHANGE_RATE_DATE     DATE         ,
    BILLING_DATE                  DATE         ,
    BILLING_CURRENCY_CODE         VARCHAR2(120),
    BILLING_AMOUNT                NUMBER       ,
    BILLING_EXCHANGE_RATE         NUMBER(18, 0),
    BILLING_EXCHANGE_RATE_TYPE    VARCHAR2(120),
    BILLING_EXCHANGE_RATE_DATE    DATE         ,
    TRANSACTION_ID                NUMBER(18, 0),
    DEBIT_CREDIT_INDICATOR        VARCHAR2(120),
    TRANSACTION_CODE              VARCHAR2(120),
    ADDITIONAL_CURRENCY_CODE      VARCHAR2(120),
    ADDITIONAL_AMOUNT1            NUMBER       ,
    ADDITIONAL_AMOUNT2            NUMBER       ,
    ADDITIONAL_AMOUNT3            NUMBER       ,
    EXCHANGE_RATE                 NUMBER       ,
    EXCHANGE_RATE_DATE            DATE         ,
    EXCHANGE_RATE_TYPE            VARCHAR2(320),
    LINE_DATE1                    DATE             NOT NULL,
    LINE_DATE2                    DATE         ,
    LINE_DATE3                    DATE         ,
    LINE_DATE4                    DATE         ,
    LINE_DATE5                    DATE         ,
    LINE_ATTRIBUTE1               VARCHAR2(600),
    LINE_ATTRIBUTE2               VARCHAR2(600),
    LINE_ATTRIBUTE3               VARCHAR2(600),
    LINE_ATTRIBUTE4               VARCHAR2(600),
    LINE_ATTRIBUTE5               VARCHAR2(600),
    LINE_ATTRIBUTE6               VARCHAR2(600),
    LINE_ATTRIBUTE7               VARCHAR2(600),
    LINE_ATTRIBUTE8               VARCHAR2(600),
    LINE_ATTRIBUTE9               VARCHAR2(600),
    LINE_ATTRIBUTE10              VARCHAR2(600),
    LINE_ATTRIBUTE11              VARCHAR2(600),
    LINE_ATTRIBUTE12              VARCHAR2(600),
    LINE_ATTRIBUTE13              VARCHAR2(600),
    LINE_ATTRIBUTE14              VARCHAR2(600),
    LINE_ATTRIBUTE15              VARCHAR2(600),
    LINE_ATTRIBUTE16              VARCHAR2(600),
    LINE_ATTRIBUTE17              VARCHAR2(600),
    LINE_ATTRIBUTE18              VARCHAR2(600),
    LINE_ATTRIBUTE19              VARCHAR2(600),
    LINE_ATTRIBUTE20              VARCHAR2(600),
    LINE_ATTRIBUTE21              VARCHAR2(600),
    LINE_ATTRIBUTE22              VARCHAR2(600),
    LINE_ATTRIBUTE23              VARCHAR2(600),
    LINE_ATTRIBUTE24              VARCHAR2(600),
    LINE_ATTRIBUTE25              VARCHAR2(600),
    LINE_ATTRIBUTE26              VARCHAR2(600),
    LINE_ATTRIBUTE27              VARCHAR2(600),
    LINE_ATTRIBUTE28              VARCHAR2(600),
    LINE_ATTRIBUTE29              VARCHAR2(600),
    LINE_ATTRIBUTE30              VARCHAR2(600),
    LINE_ATTRIBUTE_DATE1          DATE         ,
    LINE_ATTRIBUTE_DATE2          DATE         ,
    LINE_ATTRIBUTE_DATE3          DATE         ,
    LINE_ATTRIBUTE_DATE4          DATE         ,
    LINE_ATTRIBUTE_DATE5          DATE         ,
    LINE_ATTRIBUTE_NUMBER1        NUMBER(18, 0),
    LINE_ATTRIBUTE_NUMBER2        NUMBER(18, 0),
    LINE_ATTRIBUTE_NUMBER3        NUMBER(18, 0),
    LINE_ATTRIBUTE_NUMBER4        NUMBER(18, 0),
    LINE_ATTRIBUTE_NUMBER5        NUMBER(18, 0),
    LINE_INFO1                    VARCHAR2(600),
    LINE_INFO2                    VARCHAR2(600),
    LINE_INFO3                    VARCHAR2(600),
    LINE_INFO4                    VARCHAR2(600),
    LINE_INFO5                    VARCHAR2(600),
    LINE_INFO6                    VARCHAR2(600),
    LINE_INFO7                    VARCHAR2(600),
    LINE_INFO8                    VARCHAR2(600),
    LINE_INFO9                    VARCHAR2(600),
    LINE_INFO10                   VARCHAR2(600),
    LINE_INFO11                   VARCHAR2(600),
    LINE_INFO12                   VARCHAR2(600),
    LINE_INFO13                   VARCHAR2(600),
    LINE_INFO14                   VARCHAR2(600),
    LINE_INFO15                   VARCHAR2(600),
    LINE_INFO16                   VARCHAR2(600),
    LINE_INFO17                   VARCHAR2(600),
    LINE_INFO18                   VARCHAR2(600),
    LINE_INFO19                   VARCHAR2(600),
    LINE_INFO20                   VARCHAR2(600),
    CREATION_DATE                 TIMESTAMP(6)     NOT NULL,
    CREATED_BY                    VARCHAR2(256)    NOT NULL,
    LAST_UPDATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128),
    STATMENT_LINE_ID              NUMBER(18, 0),
    STATEMENT_HEADER_ID           NUMBER(18, 0)    NOT NULL,
    PROCESS_STATUS_CODE           VARCHAR2(120)    NOT NULL,
    APPLICATION_ID                NUMBER(18, 0),
    LOAD_REQUEST_ID               NUMBER(18, 0),
    PAYMENT_REFERENCE_NUMBER      VARCHAR2(960),
    ORIGINAL_CURRENCY_CODE        VARCHAR2(120),
    ORIGINAL_CURRENCY_AMOUNT      NUMBER       ,
    TRANSACTION_DATE              DATE         ,
    POSTED_DATE                   DATE         ,
    POSTED_CURRENCY_CODE          VARCHAR2(120),
    POSTED_AMOUNT                 NUMBER       ,
    POSTED_EXCHANGE_RATE          NUMBER(18, 0),
    POSTED_EXCHANGE_TYPE          VARCHAR2(120),
    POSTED_EXCHANGE_RATE_DATE     DATE         ,
    BILLING_DATE                  DATE         ,
    BILLING_CURRENCY_CODE         VARCHAR2(120),
    BILLING_AMOUNT                NUMBER       ,
    BILLING_EXCHANGE_RATE         NUMBER(18, 0),
    BILLING_EXCHANGE_RATE_TYPE    VARCHAR2(120),
    BILLING_EXCHANGE_RATE_DATE    DATE         ,
    TRANSACTION_ID                NUMBER(18, 0),
    DEBIT_CREDIT_INDICATOR        VARCHAR2(120),
    TRANSACTION_CODE              VARCHAR2(120),
    ADDITIONAL_CURRENCY_CODE      VARCHAR2(120),
    ADDITIONAL_AMOUNT1            NUMBER       ,
    ADDITIONAL_AMOUNT2            NUMBER       ,
    ADDITIONAL_AMOUNT3            NUMBER       ,
    EXCHANGE_RATE                 NUMBER       ,
    EXCHANGE_RATE_DATE            DATE         ,
    EXCHANGE_RATE_TYPE            VARCHAR2(320),
    LINE_DATE1                    DATE             NOT NULL,
    LINE_DATE2                    DATE         ,
    LINE_DATE3                    DATE         ,
    LINE_DATE4                    DATE         ,
    LINE_DATE5                    DATE         ,
    LINE_ATTRIBUTE1               VARCHAR2(600),
    LINE_ATTRIBUTE2               VARCHAR2(600),
    LINE_ATTRIBUTE3               VARCHAR2(600),
    LINE_ATTRIBUTE4               VARCHAR2(600),
    LINE_ATTRIBUTE5               VARCHAR2(600),
    LINE_ATTRIBUTE6               VARCHAR2(600),
    LINE_ATTRIBUTE7               VARCHAR2(600),
    LINE_ATTRIBUTE8               VARCHAR2(600),
    LINE_ATTRIBUTE9               VARCHAR2(600),
    LINE_ATTRIBUTE10              VARCHAR2(600),
    LINE_ATTRIBUTE11              VARCHAR2(600),
    LINE_ATTRIBUTE12              VARCHAR2(600),
    LINE_ATTRIBUTE13              VARCHAR2(600),
    LINE_ATTRIBUTE14              VARCHAR2(600),
    LINE_ATTRIBUTE15              VARCHAR2(600),
    LINE_ATTRIBUTE16              VARCHAR2(600),
    LINE_ATTRIBUTE17              VARCHAR2(600),
    LINE_ATTRIBUTE18              VARCHAR2(600),
    LINE_ATTRIBUTE19              VARCHAR2(600),
    LINE_ATTRIBUTE20              VARCHAR2(600),
    LINE_ATTRIBUTE21              VARCHAR2(600),
    LINE_ATTRIBUTE22              VARCHAR2(600),
    LINE_ATTRIBUTE23              VARCHAR2(600),
    LINE_ATTRIBUTE24              VARCHAR2(600),
    LINE_ATTRIBUTE25              VARCHAR2(600),
    LINE_ATTRIBUTE26              VARCHAR2(600),
    LINE_ATTRIBUTE27              VARCHAR2(600),
    LINE_ATTRIBUTE28              VARCHAR2(600),
    LINE_ATTRIBUTE29              VARCHAR2(600),
    LINE_ATTRIBUTE30              VARCHAR2(600),
    LINE_ATTRIBUTE_DATE1          DATE         ,
    LINE_ATTRIBUTE_DATE2          DATE         ,
    LINE_ATTRIBUTE_DATE3          DATE         ,
    LINE_ATTRIBUTE_DATE4          DATE         ,
    LINE_ATTRIBUTE_DATE5          DATE         ,
    LINE_ATTRIBUTE_NUMBER1        NUMBER(18, 0),
    LINE_ATTRIBUTE_NUMBER2        NUMBER(18, 0),
    LINE_ATTRIBUTE_NUMBER3        NUMBER(18, 0),
    LINE_ATTRIBUTE_NUMBER4        NUMBER(18, 0),
    LINE_ATTRIBUTE_NUMBER5        NUMBER(18, 0),
    LINE_INFO1                    VARCHAR2(600),
    LINE_INFO2                    VARCHAR2(600),
    LINE_INFO3                    VARCHAR2(600),
    LINE_INFO4                    VARCHAR2(600),
    LINE_INFO5                    VARCHAR2(600),
    LINE_INFO6                    VARCHAR2(600),
    LINE_INFO7                    VARCHAR2(600),
    LINE_INFO8                    VARCHAR2(600),
    LINE_INFO9                    VARCHAR2(600),
    LINE_INFO10                   VARCHAR2(600),
    LINE_INFO11                   VARCHAR2(600),
    LINE_INFO12                   VARCHAR2(600),
    LINE_INFO13                   VARCHAR2(600),
    LINE_INFO14                   VARCHAR2(600),
    LINE_INFO15                   VARCHAR2(600),
    LINE_INFO16                   VARCHAR2(600),
    LINE_INFO17                   VARCHAR2(600),
    LINE_INFO18                   VARCHAR2(600),
    LINE_INFO19                   VARCHAR2(600),
    LINE_INFO20                   VARCHAR2(600),
    CREATION_DATE                 TIMESTAMP(6)     NOT NULL,
    CREATED_BY                    VARCHAR2(256)    NOT NULL,
    LAST_UPDATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128),
    CONSTRAINT pk_ap_statement_lines PRIMARY KEY (STATMENT_LINE_ID, STATMENT_LINE_ID)
);
